
export default {
  methods: {
    getConfigRight () {
      const user_info = sessionStorage['user_info']
      const obj = {
        user: true,
        dev: true,
        admin: true
      }
      if (user_info) {
        const user_info_json = JSON.parse(user_info)
        const { systemSysDevDb, show_userSet, is_admin } = user_info_json
        // const props = ['systemSysDevDb', 'show_userSet', 'is_admin']
        if (
          systemSysDevDb === true ||
          systemSysDevDb === '1' ||
          systemSysDevDb === 1
        ) { obj.dev = true } else {
          obj.dev = false
        }
        if (
          show_userSet === true ||
          show_userSet === '1' ||
          show_userSet === 1 ||
          show_userSet === undefined
        ) { obj.user = true } else {
          obj.user = false
        }
        if (
          is_admin === true ||
          is_admin === '1' ||
          is_admin === 1
        ) { obj.admin = true } else {
          obj.admin = false
        }
      } else {
        // 这是在本地开发时使用没有user_info时
        const hostname = location.hostname
        if (
          top === self &&
          (hostname === '0.0.0.0' || hostname === 'localhost')
        ) {
          obj.dev = true
          obj.user = true
          obj.admin = true
        }
        if (
          top !== self &&
          (hostname !== '0.0.0.0' || hostname !== 'localhost')
        ) {
          obj.dev = false
          obj.user = false
          obj.admin = false
        }
      }
      return obj
    }
  }
}
